//OpenGLMistake2Frame.cpp - Basic Frame.

#include "wx\wxprec.h"

#ifndef WX_PRECOMP
#include "wx\wx.h"
#endif

#include "OpenGLMistake2Frame.h"

BEGIN_EVENT_TABLE(OpenGLMistake2Frame, wxFrame)	
	EVT_PAINT(OpenGLMistake2Frame::OnPaint)
	EVT_TIMER(TIMER_ID, OpenGLMistake2Frame::OnTimer)
	EVT_ERASE_BACKGROUND(OpenGLMistake2Frame::OnEraseBackground)
END_EVENT_TABLE()

OpenGLMistake2Frame::OpenGLMistake2Frame():
wxFrame((wxWindow *)NULL,
		-1,
		wxString("OpenGL Mistake No.2", wxConvUTF8),
		wxDefaultPosition,
		wxSize(300, 300),
		wxMINIMIZE_BOX|wxSYSTEM_MENU|wxCAPTION|wxCLOSE_BOX|wxCLIP_CHILDREN)
{

	Tim = new wxTimer(this, TIMER_ID);
	Tim->Start(10);

	canvas = new VITGLCanvas(this, GetClientSize());

	wxIcon icon(wxICON(OGM));
	SetIcon(icon);
}

OpenGLMistake2Frame::~OpenGLMistake2Frame()
{
	Tim->Stop();
	delete Tim;
	delete canvas;
}

void OpenGLMistake2Frame::OnPaint(wxPaintEvent &event)
{
	wxPaintDC dc(this);
	canvas->render();
}
